Bug 1612959 - Per-page setting does not work in RPM and repo listings
Summary: Per-page setting does not work in RPM and repo listings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-06 15:52 UTC by Perry Gagne
Modified: 2019-10-07 17:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:52 UTC
Foreman Issue Tracker 24554 None None None 2018-08-07 08:46:14 UTC

Comment 2 Daniel Lobato Garcia 2018-08-07 08:44:57 UTC
Confirmed and cloning to upstream, thanks Perry

Comment 3 Daniel Lobato Garcia 2018-08-07 08:46:12 UTC
Created redmine issue https://projects.theforeman.org/issues/24554 from this bug

Comment 9 Lai 2018-11-27 21:42:32 UTC
Verified that changing per-page setting work as expected on yum repo, rpm packages, and Errata when selecting anything greater than 20.

Steps to verify:

1. Create content view with some content
2. On page for content view choose a version
3. Go to "rpm Packages"
4. Change the per-page setting from the default (20) to (50)

Actual results: List changes to 50 and has 50 data points

5. Repeat steps 3 - 4 with "yum repo" and "Errata"

Actual result: List changes to 50 and has 50 data points.

Verified on 6.5.0_5 snap

Comment 12 errata-xmlrpc 2019-05-14 12:37:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.